# Create profile

Creates a profile.

```http
POST https://api.pozy.ai/v1/profiles
```

- Area: Accounts & connections / Profiles
- Auth: Authorization: Bearer pz_live_...

## Header parameters

- `Idempotency-Key` (string)

## Request body

Content type: `application/json`

- `name`, string, required
- `description`, string
- `color`, string
- `timezone`, string
- `externalId`, string: 1 to 255 characters

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/profiles" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Acme"
}'
```

```ts
import { randomUUID } from "node:crypto";

const res = await fetch("https://api.pozy.ai/v1/profiles", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Idempotency-Key": randomUUID(),
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    name: "Acme"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/profiles",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "name": "Acme",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `message`, string
- `profile`, object
  - `_id`, string
  - `userId`, string
  - `name`, string
  - `description`, string
  - `color`, string
  - `timezone`, string: Can be null
  - `externalId`, string: Can be null
  - `isDefault`, boolean
  - `isOverLimit`, boolean
  - `accountCount`, integer
  - `createdAt`, string (date-time)

```json
{
  "message": "Hello from Pozy",
  "profile": {
    "_id": "635d87e261ae344ef27fd1df",
    "userId": "6da95b9455a22c1e061837af",
    "name": "Acme",
    "description": "A short description",
    "color": "string",
    "timezone": "America/New_York",
    "externalId": "62c9d6bdf3fa891362623a67",
    "isDefault": true,
    "isOverLimit": true,
    "accountCount": 42,
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}
```
